<?php 
 
  use PHPMailer\PHPMailer\PHPMailer;
  use PHPMailer\PHPMailer\Exception;
  
  require 'php/vendor/autoload.php';
 
 include 'conexion.php';

 date_default_timezone_set('America/Argentina/Buenos_Aires');

	$cuitOK    	= $_POST['usuario'];

	$_cad_sql = "select * from com_usuarios where usuario = '" . $cuitOK ."'";	
	
	
	$query = mysqli_query($coneccion ,	$_cad_sql);
	$row = mysqli_fetch_array($query);
	
	if ($row > 0)	
	{
   
		$claveOK  = $row['clave']; 
		$correoOK = $row['email']; 
		$mostrar_correo = substr($correoOK,0,5) . '....' ;
	 
		echo '<script>alert (" Se va a enviar la Clave por Correo a '.$mostrar_correo.'");</script>';
	 
        echo '<script>alert (" Si no recive el correo, por favor comunicarse con el Centro de Empleados de Comercio al Tel. 4440628 o por correo a centro@cecposadas.com.ar ");</script>';
   
   
// Envio el correo

        try {
    
        $mail    = new PHPMailer(true); // Enable exceptions
		$body    = " <B> Recordatorio de Clave para el Cuit  $cuitOK : </B>" .$claveOK   ;
		//$text   .= "Clave:     " .$claveOK   ;
		$objeto  = "Recuperacion de Clave de Usuario";
		$address = $correoOK ;

        $mail->isSMTP();
        $mail->Host = 'mail.cecposadas.com.ar';
        $mail->SMTPAuth = true;
        $mail->Username = 'info@cecposadas.com.ar';
        $mail->Password = 'saltu5j2@'; // **¡Importante!** No almacenes contraseñas en el código. Utiliza variables de entorno o un gestor de contraseñas.
        $mail->SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS;
        $mail->Port = 587;

        $mail->setFrom('info@cecposadas.com.ar', 'Centro de Empleados de Comercio');
        $mail->addAddress($address, $objeto);
        $mail->isHTML(true);
        $mail->Subject = $objeto;
        $mail->Body = $body;

        if (!$mail->send()) {
            $respuesta1 = "ERROR";
            //echo 'Error: ' . $mail->ErrorInfo;
        } else {
            $respuesta1 = "OK";
            //echo 'Mensaje enviado correctamente.';
        }

        } catch (Exception $e) {
            echo 'Mensaje no pudo ser enviado. Error de PHPMailer: ' . $e->getMessage();
        }


//-----
		if  ($respuesta1 == "OK" )
		{
			// Salio bien
			print "<script>alert('Se envio la Clave por Correo ')</script>";
			echo "<script LANGUAGE='JavaScript'>
				 function redireccionar() { history.back(2); }
				 setTimeout ('redireccionar()', 0);
			   </script>";
		 
		} else 
		{	  
			// Salio Mal
			print "<script>alert('Se Produjo un Error al Enviar el correo !!!')</script>";
			echo "<script LANGUAGE='JavaScript'>
				 function redireccionar() { history.back(1); }
				 setTimeout ('redireccionar()', 0);
			   </script>";
		}
	}
	else 
	{	  
	   	// Salio Mal
		  print "<script>alert('Error No encontro ninguna Empresa con ese cuit')</script>";
		  echo "<script LANGUAGE='JavaScript'>
				 function redireccionar() { history.back(1); }
				 setTimeout ('redireccionar()', 0);
			   </script>";
	}
?>
<script> 
function cerrarse(){ 
window.close() 
} 
</script>